FruxonDocs
AgentsAssets

Lists available asset source types with their required and optional properties.

GET
/v1/tenants/{tenant}/agents/{agent}/assets:source-types

Path Parameters

tenant*string

The tenant identifier

agent*string

The agent identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/assets:source-types"
[
  {
    "key": "string",
    "displayName": "string",
    "description": "string",
    "integrationId": "string",
    "properties": [
      {
        "name": "string",
        "index": 0,
        "type": "String",
        "typeName": "string",
        "integerRange": null,
        "floatRange": null,
        "options": null,
        "asset": null,
        "displayName": "string",
        "description": "string",
        "required": false,
        "secret": false,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": null,
        "rules": []
      }
    ]
  }
]
Empty
Empty